.radio-button {
    position: relative;
    padding-left: 30px;
    margin-bottom: 10px;
    cursor: pointer;
}

.radio-button input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.radio-button input[type="radio"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #fff;
    border: 2px solid #000;
    border-radius: 50%;
}

.radio-button input[type="checkbox"]:checked ~ .checkmark {
    background-color: #000;
}

.radio-button input[type="radio"]:checked ~ .checkmark {
    background-color: #000;
}

.radio-button .checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.radio-button input[type="checkbox"]:checked ~ .checkmark:after {
    display: block;
}

.radio-button input[type="radio"]:checked ~ .checkmark:after {
    display: block;
}

.radio-button .checkmark:after {
    top: 6px;
    left: 6px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #fff;
}